package de.ozgcloud.eingang.xta;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.Assert.*;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import de.ozgcloud.eingang.Application;
import de.ozgcloud.eingang.semantik.enginebased.EngineBasedSemantikAdapter;
import de.ozgcloud.eingang.semantik.enginebased.xta.XtaEngineBasedAdapter;

@ActiveProfiles({ "local", "itcase" })
@SpringBootTest(classes = Application.class)
class XtaApplicationTest {

	@Autowired
	private EngineBasedSemantikAdapter engineBasedAdapter;

	@Test
	void startup() {
		// should start without exception;
		assertTrue(true);
	}

	@Test
	void shouldHaveEngineBasedAdapter() {
		assertThat(engineBasedAdapter).isInstanceOf(XtaEngineBasedAdapter.class);
	}
}
